# build admin-tools package only on dom0 version (it's python2)
%if 0%{?fedora} == 25
%global with_admintools 1
%else
%global with_admintools 0
%endif

Name:      qubes-mgmt-salt
Version:   4.0.22
Release:   1%{?dist}
Summary:   Installs salts configuration files, directory layout and qubesctl
License:   GPL 2.0
URL:	   http://www.qubes-os.org/

Group:     System administration tools
BuildArch: noarch
Requires:  salt >= 2015.5
Requires:  salt-minion
Requires:  qubes-mgmt-salt-base
BuildRequires: tree
BuildRequires: pandoc
%if %{with_admintools}
BuildRequires: python-setuptools
BuildRequires: python2-devel
%endif

Source0: %{name}-%{version}.tar.gz

%description
Installs salts configuration files, directory layout and qubesctl

- qubes-mgmt-salt:
    Installs salt and base configuration and modules

- qubes-mgmt-salt-dom0:
    qubes-mgmt-salt + dom0 depends

- qubes-mgmt-salt-dom0-formulas:
    All dom0 formulas

- qubes-mgmt-salt-vm:
    qubes-mgmt-salt + VM depends

- qubes-mgmt-salt-vm-formulas:
    All VM formulas

- qubes-mgmt-salt-extra-formulas:
    All extra formulas (qubes-mgmt-all-*)

%package config
Summary:   Qubes+Salt Management base configuration for SaltStack's Salt Infrastructure automation and management system.
Group:     System administration tools
Requires:  salt
Requires:  salt-minion
BuildArch: noarch

%description config
Qubes+Salt Management base configuration for SaltStack's Salt Infrastructure automation and management system.

%package shared-formulas
Summary:   All Qubes+Salt Management shared (qubes-mgmt-all-*) formulas
Group:     System administration tools
BuildArch: noarch
Requires:  qubes-mgmt-salt

%description shared-formulas
Qubes+Salt Management shared (qubes-mgmt-all-*) formulas.

%if %{with_admintools}
%package admin-tools
Summary:    Management tools integrating dom0 and VM management
Group:     System administration tools
BuildArch: noarch
Requires:  qubes-mgmt-salt

%description admin-tools
Tools to integrate dom0 and VM management into a single qubesctl tool.
%endif

%prep
%setup -q

%install
make install DESTDIR=%{buildroot} LIBDIR=%{_libdir} BINDIR=%{_bindir} SBINDIR=%{_sbindir} SYSCONFDIR=%{_sysconfdir}
%if %{with_admintools}
make install-dom0 DESTDIR=%{buildroot} BINDIR=%{_bindir} SBINDIR=%{_sbindir}
%endif
rm -rf %{buildroot}/srv/formulas/.gitignore

%files
%defattr(-,root,root)
%attr(766, root, root)

%files config
%defattr(-,root,root)
%config(noreplace) /etc/salt/minion.d/f_defaults.conf
/etc/salt/minion.dist
/etc/salt/minion.dom0.conf
/etc/salt/minion.vm.conf
/etc/salt/spm
/etc/salt/spm.repos.d/local.repo

%attr(750, root, root) %dir /srv/formulas

%attr(750, root, root) %dir /srv/pillar
%config(noreplace) /srv/pillar/top.sls
/srv/pillar/top.sls.old

%attr(750, root, root) %dir /srv/reactor
/srv/reactor/import_keys
/srv/reactor/sync_all.sls

%attr(750, root, root) %dir /srv/salt
%config(noreplace) /srv/salt/top.sls
/srv/salt/top.jinja
/srv/salt/top.sls.old

%if %{with_admintools}
%files admin-tools
/usr/bin/qubesctl
%{_mandir}/man1/qubesctl.1*
%dir %{python2_sitelib}/qubessalt-*egg-info
%{python2_sitelib}/qubessalt-*egg-info/*
%dir %{python2_sitelib}/qubessalt
%{python2_sitelib}/qubessalt/__init__.py*
%endif

%files shared-formulas
%defattr(-,root,root)

%changelog
* Fri Apr 24 2020 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-mgmt-salt

* Fri Apr 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 151d185
- version 4.0.22

* Fri Apr 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 11b1638
- Restore creating $(DESTDIR) in install-custom

* Fri Apr 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2b9a084
- Build qubes-mgmt-admin-tools package only for dom0

* Fri Apr 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 22a4162
- Drop PyYAML build dependency

* Sun Mar 22 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a41695b
- version 4.0.21

* Sun Mar 22 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e72d7b8
- Log when considering empty output a failure

* Sun Mar 22 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 89114b5
- Report empty output as a failure

* Sun Mar 22 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - c0e1a9d
- qubesctl: handle StandaloneVMs targets

* Sun Mar 22 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - ac97448
- qubesctl: make PEP8 happy

* Sun Mar 22 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0000519
- Remove unused import

* Fri Jan 31 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7637889
- version 4.0.20

* Wed Jan 29 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 83939df
- Filter out control characters in log too

* Sun Oct 20 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - fd16ba9
- travis: switch to bionic

* Sat Jul 20 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c1f84ba
- version 4.0.19

* Sat Jul 20 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b316ef3
- Do not fail if 'salt' user does not exist in disp-mgmt-* VM

* Sat Jul 20 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e5dcb64
- Make top.jinja compatible with python3

* Fri Jul 19 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1d33a1c
- Fix jinja-based top file merging

* Fri Jul 19 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - cc0e44f
- Fix startup_states minion option

* Fri Apr 12 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 58104e7
- version 4.0.18

* Fri Apr 12 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ab8e418
- Really make ssh-wrapper a python3 script

* Sun Apr 07 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f74c7b7
- version 4.0.17

* Sun Apr 07 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d91aee0
- travis: update Fedora,Debian versions, switch to xenial

* Sat Apr 06 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0d19550
- Make ssh-wrapper python3 script

* Sat Apr 06 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 076aa5b
- Make qubesctl explicit python2

* Wed Mar 20 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4bde425
- version 4.0.16

* Sun Mar 17 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 29ff31b
- Wipe salt temporary files after applying state in a VM

* Fri Mar 08 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7c1f8d4
- Regenerate source tarball after copying in relevant files

* Fri Feb 15 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c3f2cfb
- version 4.0.15

* Mon Jan 21 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fdf926c
- qubesctl: improve error reporting

* Wed Jan 02 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 7f6517e
- Handle non existing qubessaltpatches in case where mgmt-salt-base-overrides is not needed anymore

* Sun Dec 23 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 50a379b
- version 4.0.14

* Wed Dec 19 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5fc8aee
- Skip VMs based on empty top file only for state.highstate command

* Wed Dec 19 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 578ae44
- Remove outdated comment

* Wed Dec 19 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 914ab4c
- Do not exclude 'salt' pillar

* Sun Dec 09 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9a038b0
- version 4.0.13

* Tue Dec 04 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 10c923f
- Fix reporting salt-ssh exit code

* Mon Dec 03 2018 Simon Gaiser <simon@invisiblethingslab.com> - cf48657
- version 4.0.12

* Mon Dec 03 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 583982f
- qubesctl: use 'management_dispvm' property if available

* Mon Dec 03 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0f3673c
- qubesctl: fix error reporting

* Wed Oct 24 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 31fda4c
- version 4.0.11

* Sat Oct 13 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f0c675b
- debian: don't create orig.tar.gz manually

* Fri Oct 12 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 99f4c9c
- Fix qrexec policy modification

* Tue Oct 09 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 56e1d87
- version 4.0.10

* Tue Oct 09 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d7a9b21
- travis: update Fedora versions

* Tue Oct 09 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 88c3bf0
- rpm: make python2 choice explicit

* Mon Jul 02 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b174848
- builder plugin: fix handling old format rpm packages

* Thu May 03 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - bc25a7d
- travis: add centos7

* Thu May 03 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 882cf51
- version 4.0.9

* Fri Apr 20 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3a58ac7
- rpm: add missing BR: python-setuptools

* Thu Apr 05 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - cbe86aa
- travis: update fedora version

